Agora Java API Reference for Android

Public Member Functions | Public Attributes | List of all members
agora::rtc::MixedAudioStream Struct Reference

The source of the audio streams that are mixed locally. More...

`#include <AgoraBase.h>`

## Public Member Functions
| MixedAudioStream (AUDIO_SOURCE_TYPE source)
| MixedAudioStream (AUDIO_SOURCE_TYPE source, track_id_t track)
| MixedAudioStream (AUDIO_SOURCE_TYPE source, uid_t uid, const char *channel)
| MixedAudioStream (AUDIO_SOURCE_TYPE source, uid_t uid, const char *channel, track_id_t track)

## Public Attributes
AUDIO_SOURCE_TYPE | sourceType
uid_t | remoteUserUid
const char * | channelId
track_id_t | trackId

## Detailed Description

The source of the audio streams that are mixed locally.

## Member Data Documentation

## ◆ sourceType

AUDIO_SOURCE_TYPE agora::rtc::MixedAudioStream::sourceType

The type of the audio source. See `AUDIO_SOURCE_TYPE`.

## ◆ remoteUserUid

uid_t agora::rtc::MixedAudioStream::remoteUserUid

The user ID of the remote user.

Note
  Set this parameter if the source type of the locally mixed audio steams is AUDIO_SOURCE_REMOTE_USER.

## ◆ channelId

const char* agora::rtc::MixedAudioStream::channelId

The channel name. This parameter signifies the channel in which users engage in real-time audio and video interaction. Under the premise of the same App ID, users who fill in the same channel ID enter the same channel for audio and video interaction. The string length must be less than 64 bytes. Supported characters (89 characters in total):

- All lowercase English letters: a to z.
- All uppercase English letters: A to Z.
- All numeric characters: 0 to 9.
- "!", "#", "$", "%", "&", "(", ")", "+", "-", ":", ";", "<", "=", ".", ">", "?", "@", "[", "]", "^", "_", "{", "}", "|", "~", ","
  Note
    Set this parameter if the source type of the locally mixed audio streams is AUDIO_SOURCE_REMOTE_CHANNEL or AUDIO_SOURCE_REMOTE_USER.

## ◆ trackId

track_id_t agora::rtc::MixedAudioStream::trackId

The audio track ID. Set this parameter to the custom audio track ID returned in `createCustomAudioTrack`.

Note
  Set this parameter if the source type of the locally mixed audio steams is AUDIO_SOURCE_CUSTOM.